*ORIGINAL DATA FROM http://www.ats.ucla.edu/stat/sas/library/repeated_ut.htm;
OPTIONS NONUMBER NODATE NOCENTER PAGESIZE=MAX LINESIZE=120 formdlim='-';
* Kill default titles on output;
TITLE;

*TURN OUTPUT FORMAT INTO JOURNAL STYLE;
ODS HTML STYLE=JOURNAL;

*TURN ON ODS STATEMENTS TO DETERMINE TABLE NAMES FOR OUTPUT;
ODS TRACE ON;


%LET datapath = C:\Dropbox\!PSYC 943\Lectures\07 Intro to Path Analysis, MV Regression with Predictors\SAS Example;

PROC IMPORT OUT= WORK.mathdata 
            DATAFILE= "&datapath.\mathdata_sas.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

*STACKING DATA;
DATA work.mathstack;
	SET work.mathdata;
	
	dvnumber = 1;
	dvname = "Performance";
	dvscore = perf;
	dPERF = 1; dUSE = 0;
	OUTPUT;

	dvnumber = 2;
	dvname = "Use";
	dvscore = use;
	dPERF = 0; dUSE = 1;
	OUTPUT;

	KEEP id dvscore dvnumber dvname dPERF dUSE hsl cc;
RUN;

*MULTIVARIATE REGRESSION -- NO INTERCEPT -- MATCHES Mplus SO LONG AS MISSING X CASES ARE THE SAME;
PROC MIXED DATA=WORK.mathstack METHOD=ML COVTEST NOPROFILE ITDETAILS IC NAMELEN=50;
CLASS dvnumber;
MODEL dvscore = dPERF dPERF*hsl dPERF*cc 
				dUSE dUSE*hsl dUSE*cc/ NOINT SOLUTION;
REPEATED dvnumber / SUBJECT = id TYPE=UN R RCORR;
RUN;

*MULTIVARIATE REGRESSION -- WITH INTERCEPT and USE REFERENCE -- ESTIMATE STATEMENTS TO MATCH Mplus SO LONG AS MISSING X CASES ARE THE SAME;
PROC MIXED DATA=WORK.mathstack METHOD=ML COVTEST NOPROFILE ITDETAILS IC NAMELEN=50;
CLASS dvnumber;
MODEL dvscore = hsl cc dPERF hsl*dPERF cc*dPERF/ SOLUTION;
REPEATED dvnumber / SUBJECT = id TYPE=UN R RCORR;
ESTIMATE "intercept for USE" intercept 1;
ESTIMATE "slope for HSL predicting USE" hsl 1;
ESTIMATE "slope for CC predicting USE" cc 1;
ESTIMATE "intercept for PERF" intercept 1 dPERF 1;
ESTIMATE "slope for HSL predicting PERF" hsl 1 hsl*dPERF 1;
ESTIMATE "slope for CC predicting PERF" cc 1 cc*dPERF 1;
RUN;

