/* PSYC 943 (Fall 2013) Homework #2 Solution SAS Analysis File */

* Output options: all can be turned on/off by adding or removing the NO:
  page number, date, centering, or page breaks, page length and width; 
OPTIONS nonumber nodate nocenter formdlim=' ' pagesize=MAX linesize=120; 

* Eliminate SAS default titles and names of tables in output (TRACE ON to show);
TITLE; ODS TRACE OFF; 

* Change this path to the path of the data on your computer:;
%LET datapath = C:\Dropbox\!PSYC 943\Homework Assignments\A02\Solutions;

*IMPORTING CSV DATA FILE:;
PROC IMPORT OUT= WORK.minigolf 
            DATAFILE= "&datapath.\mv13psyc943_HW02.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

*DUMMY CODING GROUP VARIABLES - FOR NON-CLASS STATEMENT EFFECT;
DATA work.minigolf;
	SET work.minigolf;

	LABEL 	PersonID= 	"PersonID: Person ID number"
			group= 		"group: 1=control, 2=mini-golf, 3=regular-golf, 4=both-golf"
			experience=	"experience: Previous mini-golf experience (1-7 scale)"
			experience4 = "experience4: Experience-4"
			enthusiasm= "enthusiasm: Previous mini-golf enthusiasm (M~0, SD~1)"
			score= 		"score: #Strokes on 18-Hole Mini-Golf Test (higher is worse score)";

	IF group = 1 THEN DO;
		dGroup2 = 0; dGroup3 = 0; dGroup4 = 0;
	END;
	IF group = 2 THEN DO;
		dGroup2 = 1; dGroup3 = 0; dGroup4 = 0;
	END;
	IF group = 3 THEN DO;
		dGroup2 = 0; dGroup3 = 1; dGroup4 = 0;
	END;
	IF group = 4 THEN DO;
		dGroup2 = 0; dGroup3 = 0; dGroup4 = 1;
	END;

	experience4 = experience-4;

RUN;

PROC FORMAT; *STATMENT TO FORMAT DATA TO ADD LABELS TO GROUP VARIABLE VALUES - 4. Control makes it last alphabetically, making it the reference group with a class statement";
VALUE group
    1 = "4. Control" 
    2 = "1. Mini-Golf"
    3 = "2. Regular-Golf"
	4 = "3. Both-Golf";
RUN;

*ANALYSIS USING CLASS STATEMENT AND NO DUMMY CODED VARIABLES;
PROC GLM DATA=work.minigolf;
CLASS group;
FORMAT group group.; *adds value labels;
MODEL score = group experience4 enthusiasm group*experience4 / SOLUTION;
ESTIMATE "effect of exp for mini-golf training" experience4 1 group*experience4 1 0 0 0;
ESTIMATE "effect of exp for reg-golf training"  experience4 1 group*experience4 0 1 0 0;
ESTIMATE "effect of exp for both-golf training" experience4 1 group*experience4 0 0 1 0;
ESTIMATE "effect of control v. mini at exp=4"   group 1 0 0 -1;
ESTIMATE "effect of control v. reg at exp=4"    group 0 1 0 -1;
ESTIMATE "effect of control v. both at exp=4"   group 0 0 1 -1;
ESTIMATE "effect of mini v. both at exp=4" 		group 1 0 -1 0;
ESTIMATE "effect of reg v. both at exp=4" 		group 0 1 -1 0;
ESTIMATE "interaction of exp x control v. mini" group*experience4 1 0 0 -1;
ESTIMATE "interaction of exp x control v. reg"  group*experience4 0 1 0 -1;
ESTIMATE "interaction of exp x control v. both" group*experience4 0 0 1 -1;
ESTIMATE "interaction of exp x mini v. both"    group*experience4 1 0 -1 0;
ESTIMATE "interaction of exp x reg v. both"     group*experience4 0 1 -1 0;
RUN; QUIT;

*ANALYSIS USING DUMMY CODED VARIABLES AND NO CLASS STATEMENT;
PROC GLM DATA=work.minigolf;
CLASS group;
MODEL score = dGroup2 dGroup3 dGroup4 experience4 enthusiasm 
	          dGroup2*experience4 dGroup3*experience4 dGroup4*experience4 / SOLUTION;
ESTIMATE "effect of exp for mini-golf training" experience4 1 dGroup2*experience4 1;
ESTIMATE "effect of exp for reg-golf training"  experience4 1 dGroup3*experience4 1;
ESTIMATE "effect of exp for both-golf training" experience4 1 dGroup4*experience4 1;
ESTIMATE "effect of control v. mini at exp=4"   dGroup2 1;
ESTIMATE "effect of control v. reg at exp=4"    dGroup3 1;
ESTIMATE "effect of control v. both at exp=4"   dGroup4 1;
ESTIMATE "effect of mini v. both at exp=4" 		dgroup2 1 dgroup4 -1;
ESTIMATE "effect of reg v. both at exp=4" 		dgroup3 1 dgroup4 -1;
ESTIMATE "interaction of exp x control v. mini" dgroup2*experience4 1;
ESTIMATE "interaction of exp x control v. reg"  dgroup3*experience4 1;
ESTIMATE "interaction of exp x control v. both" dgroup4*experience4 1;
ESTIMATE "interaction of exp x mini v. both"    dgroup2*experience4 1 dgroup4*experience4 -1;
ESTIMATE "interaction of exp x reg v. both"     dgroup3*experience4 1 dgroup4*experience4 -1;
RUN; QUIT;
