/* PSYC 943 (Fall 2013) Homework #2 Solution SAS Analysis File */

* Output options: all can be turned on/off by adding or removing the NO:
  page number, date, centering, or page breaks, page length and width; 
OPTIONS nonumber nodate nocenter formdlim=' ' pagesize=MAX linesize=120; 

* Eliminate SAS default titles and names of tables in output (TRACE ON to show);
TITLE; ODS TRACE OFF; 

* Change this path to the path of the data on your computer:;
%LET datapath = C:\Dropbox\!PSYC 943\Homework Assignments\A02\Solutions;

*IMPORTING CSV DATA FILE:;
PROC IMPORT OUT= WORK.minigolf 
            DATAFILE= "&datapath.\mv13psyc943_HW02.csv" 
            DBMS=CSV REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

*DUMMY CODING GROUP VARIABLES - FOR NON-CLASS STATEMENT EFFECT;
DATA work.minigolf;
	SET work.minigolf;

	LABEL 	PersonID= 	"PersonID: Person ID number"
			group= 		"group: 1=control, 2=mini-golf, 3=regular-golf, 4=both-golf"
			experience=	"experience: Previous mini-golf experience (1-7 scale)"
			experience4 = "experience4: Experience-4"
			enthusiasm= "enthusiasm: Previous mini-golf enthusiasm (M~0, SD~1)"
			score= 		"score: #Strokes on 18-Hole Mini-Golf Test (higher is worse score)";

	IF group = 1 THEN DO;
		dGroup2 = 0; dGroup3 = 0; dGroup4 = 0;
	END;
	IF group = 2 THEN DO;
		dGroup2 = 1; dGroup3 = 0; dGroup4 = 0;
	END;
	IF group = 3 THEN DO;
		dGroup2 = 0; dGroup3 = 1; dGroup4 = 0;
	END;
	IF group = 4 THEN DO;
		dGroup2 = 0; dGroup3 = 0; dGroup4 = 1;
	END;

	experience4 = experience-4;

RUN;

PROC FORMAT; *STATMENT TO FORMAT DATA TO ADD LABELS TO GROUP VARIABLE VALUES - xControl makes it last alphabetically, making it the reference group with a class statement";
VALUE group
    1 = "4. Control" 
    2 = "1. Mini-Golf"
    3 = "2. Regular-Golf"
	4 = "3. Both-Golf";
RUN;

PROC GLM DATA=work.minigolf;
CLASS group;
FORMAT group group.; *adds value labels;
MODEL score = group experience4 enthusiasm group*experience4 / SOLUTION;
RUN; QUIT;

*ANALYSIS USING CLASS STATEMENT AND NO DUMMY CODED VARIABLES;
PROC GLM DATA=work.minigolf;
CLASS group;
FORMAT group group.; *adds value labels;MODEL score = group experience4 enthusiasm / SOLUTION;
LSMEANS group / AT experience4=0 at enthusiasm=0 PDIFF = ALL ADJUST=T;
ESTIMATE "predicted value" intercept 1 group 0 0 0 1 experience4 2 enthusiasm 2;
RUN; QUIT;
