OPTIONS NODATE FORMDLIM=" " NONUMBER;

DATA htwt;
INPUT id Gender $ height weight ;
IF Gender = 'F' THEN female=1; IF Gender = 'M' THEN female=0;
heightMC = height-67.9;
DATALINES;
 1   F  56 117   
 2   F  60 125   
 3   F  64 133   
 4   F  68 141   
 5   F  72 149   
 6   F  54 109   
 7   F  62 128   
 8   F  65 131   
 9   F  65 131   
10   F  70 145   
11   M  64 211   
12   M  68 223   
13   M  72 235   
14   M  76 247   
15   M  80 259   
16   M  62 201   
17   M  69 228   
18   M  74 245   
19   M  75 241   
20   M  82 269   
;
RUN; 


ODS HTML STYLE=harvest;
ODS GRAPHICS ON;

*Scatter Plot Matrix;
PROC SGSCATTER DATA=htwt; 
MATRIX female height weight/ diagonal=(histogram normal);
RUN; QUIT;

*Histogram of Weight variable;
PROC UNIVARIATE DATA=htwt;
HISTOGRAM weight;
RUN; QUIT;

*Correlation and covariance of all variables;
PROC CORR DATA=htwt COV;
VAR height weight female;
RUN; QUIT;

*Model #1: Empty model;
PROC GLM DATA=htwt;
MODEL weight = /SOLUTION;
RUN; QUIT;

*Model #2: Uncentered Height;
PROC GLM DATA=htwt;
MODEL weight = height /SOLUTION;
RUN; QUIT;

*Model #2a: Centered Height;
PROC GLM DATA=htwt;
MODEL weight = heightMC /SOLUTION;
RUN; QUIT;

*Model #3: Gender;
PROC GLM DATA=htwt;
CLASS gender;
MODEL weight = gender /SOLUTION;
RUN; QUIT;

*Model #4: centered height and gender (no interaction);
PROC GLM DATA=htwt;
CLASS Gender;
MODEL weight = heightMC Gender /SOLUTION;
RUN; QUIT;

*Model #5: centered height and gender (with interaction);
PROC GLM DATA=htwt PLOTS=DIAGNOSTICS(UNPACK);
CLASS gender;
MODEL weight = heightMC gender heightMC*gender/SOLUTION;
RUN; QUIT;
