* Generic session options - set page and line size, no page breaks;
OPTIONS nonumber nodate nocenter pagesize=MAX linesize=120 formdlim='-';											
* Kill default titles on output; 
TITLE;

* Location for files to be saved - CHANGE PATH;
%LET examples=C:\Dropbox\!PSYC 943\Lectures\02\mv13psyc943_lecture02sas; 
LIBNAME examples "&examples.";

* Read in data to work (temporary) library;
DATA work.example1; SET examples.mv13psyc943_lecture02;
* Centering group variables at "mean" to mimic ANOVA; 
	SeniorC = Senior -.5;  NewC = New - .5;	
LABEL SeniorC= "SeniorC :0=Second Semester Sophomore"
	  NewC = "NewC: 0=Halfway New Instruction"; 
RUN;

TITLE "Descriptive Statistics for Test Score - Overall";
PROC MEANS MEAN STDDEV STDERR MIN MAX DATA=work.example1; 
	VAR Test; * Do for VAR variables;
RUN; TITLE;
TITLE "Descriptive Statistics for Test Score - by Senior";
PROC MEANS MEAN STDDEV STDERR MIN MAX DATA=work.example1; 
	CLASS Senior;   * By CLASS variable;
	VAR Test; 		* Do for VAR variables;
RUN; TITLE;
TITLE "Descriptive Statistics for Test Score - by New";
PROC MEANS MEAN STDDEV STDERR MIN MAX DATA=work.example1; 
	CLASS New;   	* By CLASS variable;
	VAR Test; 		* Do for VAR variables;
RUN; TITLE;
TITLE "Descriptive Statistics for Test Score by Group";
PROC MEANS MEAN STDDEV STDERR MIN MAX DATA=work.example1; 
	CLASS Senior New;  * By CLASS variable unique combo;
	VAR Test; 		   * Do for VAR variables;
RUN; TITLE;

TITLE "GLM via Dummy-Coded Regression";
PROC GLM DATA=work.example1;
* Model y = predictor effects;
  MODEL Test = Senior New Senior*New / SOLUTION;
* Get predicted test score per group;
  ESTIMATE "Intercept for Freshmen-Old" Intercept 1 Senior 0 New 0 Senior*New 0;
  ESTIMATE "Intercept for Freshmen-New" Intercept 1 Senior 0 New 1 Senior*New 0;
  ESTIMATE "Intercept for Senior-Old"   Intercept 1 Senior 1 New 0 Senior*New 0;
  ESTIMATE "Intercept for Senior-New"   Intercept 1 Senior 1 New 1 Senior*New 1;
* Get all possible conditional main effects;
  ESTIMATE "Senior Effect: Old"    Senior 1 Senior*New 0;
  ESTIMATE "Senior Effect: New"    Senior 1 Senior*New 1;
  ESTIMATE "New Effect: Freshmen"  New 1    Senior*New 0;
  ESTIMATE "New Effect: Seniors"   New 1    Senior*New 1;
RUN; QUIT; TITLE;

TITLE "GLM via ANOVA Instead (uses CLASS and LSMEANS)";
PROC GLM DATA=work.example1;
* CLASS statement denotes predictors as "categorical";
  CLASS Senior New;
* Model y = predictor effects like before;
  MODEL Test = Senior New Senior*New / SOLUTION;
* Get predicted test score per group, all differences across groups;
  LSMEANS Senior*New / PDIFF=ALL;
RUN; QUIT; TITLE;

TITLE "GLM via Regression to Mimic ANOVA";
PROC GLM DATA=work.example1;
* Model y = predictor effects;
  MODEL Test = SeniorC NewC SeniorC*NewC / SOLUTION;
RUN; QUIT; TITLE;

