ODS HTML STYLE=harvest;
ODS GRAPHICS ON;
OPTIONS NODATE FORMDLIM=" " NONUMBER;

DATA work.htwt;
INPUT id Gender $ height weight ;
IF Gender = 'F' THEN female=1; IF Gender = 'M' THEN female=0;
heightMC = height-67.9;
weightKG = 0.453*weight;
DATALINES;
 1   F  56 117   
 2   F  60 125   
 3   F  64 133   
 4   F  68 141   
 5   F  72 149   
 6   F  54 109   
 7   F  62 128   
 8   F  65 131   
 9   F  65 131   
10   F  70 145   
11   M  64 211   
12   M  68 223   
13   M  72 235   
14   M  76 247   
15   M  80 259   
16   M  62 201   
17   M  69 228   
18   M  74 245   
19   M  75 241   
20   M  82 269   
;
RUN; 

*NEW SAMPLE STATISTICS FOR WEIGHT;
PROC MEANS DATA=work.htwt MEAN VAR;
VAR weight weightKG;
RUN;

PROC CORR DATA=work.htwt COV;
VAR weight weightKG height;
RUN;

ODS HTML STYLE=harvest;
ODS GRAPHICS ON;

*Model #5: centered height and gender (with interaction);
PROC GLM DATA=work.htwt PLOTS= (ALL DIAGNOSTICS(UNPACK));
MODEL weight = heightMC female heightMC*female/SOLUTION;
OUTPUT OUT=work.diagnost residuals=residual p=predicted;
RUN; QUIT;

PROC UNIVARIATE DATA=work.diagnost NORMAL;
VAR residual;
RUN;



